# Project Timeline

[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://opensource.org/licenses/MIT)

## Overview

Describe the project and what it does.

This project is a Python script that imports data from an Excel sheet and creates a graphical representation of the data using matplotlib and PySimpleGUI libraries.

## Installation

List any prerequisites or requirements needed to install and run the project, along with instructions to install them.

-Python 3.x
-Required libraries: openpyxl, PySimpleGUI, matplotlib, pandas, mplcursors
-To install the required libraries, run the following command:
`pip install openpyxl PySimpleGUI matplotlib pandas mplcursors`
@
-To install your package and its dependencies with the following command:
`pip install .`
## Usage

To run the script, open a terminal or command prompt and navigate to the directory where the script is saved. Then, run the following command:
`python project_timeline.py`

When the script runs, a PySimpleGUI window will appear with various input fields. Use the fields to specify which data to display and how it should be displayed.
Once you have entered your desired inputs, click the "Apply" button to generate the plot.

Or

1. Create and activate a virtual environment: `python3 -m venv env` and `source env/bin/activate`
2. Install dependencies: `pip install -r requirements.txt`
3. Run the script: `python my_script.py`

## Contributing

Contributions are welcome! Please open an issue or submit a pull request if you have any suggestions or bug fixes.

## License

This project is licensed under the terms of the XXX license. See the [LICENSE](LICENSE) file for details.
